Page MenuHomePhabricator

Add attributes for AMDGPU register limits.
ClosedPublic

Authored by arsenm on Nov 15 2014, 12:56 PM.

Details

Reviewers
arsenm
Summary

This is a performance hint that can be applied to kernels
to attempt to limit the number of used registers. This adds two attributes,
amdgpu_num_vgpr and amdgpu_num_sgpr. Alternatively, there could only be one
with two arguments. That version would also be usable for Evergreen, which could
ignore the second argument as a request for the number of SGPRs.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 16269.Nov 15 2014, 12:56 PM
arsenm retitled this revision from to Add attributes for AMDGPU register limits. .
arsenm updated this object.
arsenm edited the test plan for this revision. (Show Details)
arsenm added a subscriber: Unknown Object (MLST).
arsenm planned changes to this revision.Nov 15 2014, 1:50 PM
arsenm updated this revision to Diff 16887.Dec 3 2014, 1:39 PM

Address review comments. Don't bother emitting the attribute if it's 0

arsenm accepted this revision.Dec 4 2014, 12:38 PM
arsenm added a reviewer: arsenm.

r223384

This revision is now accepted and ready to land.Dec 4 2014, 12:38 PM
arsenm closed this revision.Dec 4 2014, 12:39 PM